# TdApi.SendCallRating (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: SendCallRating

Package it.tdlight.jni

# Class TdApi.SendCallRating

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function
it.tdlight.jni.TdApi.SendCallRating

Enclosing class:
  TdApi

    public static class TdApi.SendCallRating
    extends TdApi.Function

Sends a call rating.

Returns `Ok`

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`int` | `callId` | Call identifier.
`String` | `comment` | An optional user comment if the rating is less than 5.
`static int` | `CONSTRUCTOR` |
`TdApi.CallProblem[]` | `problems` | List of the exact types of problems with the call, specified by the user.
`int` | `rating` | Call rating; 1-5.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`SendCallRating()` | Sends a call rating.
`SendCallRating​(int callId, int rating, String comment, TdApi.CallProblem[] problems)` | Sends a call rating.
`SendCallRating​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### callId

public int callId
Call identifier.

### rating

public int rating
Call rating; 1-5.

### comment

public String comment
An optional user comment if the rating is less than 5.

### problems

public TdApi.CallProblem[] problems
List of the exact types of problems with the call, specified by the user.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### SendCallRating

public SendCallRating()
Sends a call rating.

Returns `Ok`

### SendCallRating

public SendCallRating​(int callId, int rating, String comment, TdApi.CallProblem[] problems)
Sends a call rating.

Returns `Ok`

Parameters:
  `callId` - int Call identifier.
  `rating` - int Call rating; 1-5.
  `comment` - String An optional user comment if the rating is less than 5.
  `problems` - CallProblem[] List of the exact types of problems with the call, specified by the user.

### SendCallRating

public SendCallRating​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`